package de.datenkollektiv.shadowland.economy.base;

import static org.junit.Assert.assertNotNull;

import org.junit.Test;

import de.datenkollektiv.shadowland.economy.base.impl.GrassSeed;

public class SeedTests {

	/**
	 * Something new...
	 *
	 * @throws Exception ups!!
	 */
	@Test
	public void growth() throws Exception {

		long start = System.currentTimeMillis();

		Seed seed = new GrassSeed();
		System.err.println("timing was: " + (System.currentTimeMillis() - start) + "ms");
		new IllegalArgumentException().printStackTrace();
		assertNotNull(seed);
		System.out.println("test done.");
	}

	@Test(expected = RuntimeException.class)
	public void testExceptionError() throws Exception {

		// another test
		int i = 12;
		if (i > 10) {
			throw new RuntimeException("huhu");
		}

		System.out.println("test");
	}

	@Test
	public void testGrowing() throws Exception {
		Seed seed = new GrassSeed();
		for (int i = 0; i < 100; i++) {
			seed.grow();
		}
	}
}
