package de.datenkollektiv.shadowland.economy.arch;

/**
 * @author fluffi
 */
public aspect ExceptionUsage {

	pointcut exceptionUsage():
		call(Exception.new(..)) || call(Throwable.new(..)) || call(RuntimeException.new(..));

	declare error: exceptionUsage():
		"please use the recommended exception mechanism as shown in https://www.datenkollektiv.de/fluffi/wiki/CodingGuidlines#loggingwithslf4j";

	
	
}
