package de.datenkollektiv.shadowland.economy.arch;

/**
 * @author fluffi
 */
public aspect SystemOutUsage {

	pointcut sysOutErrUsage():
		get(* System.out) || get(* System.err) || call(* Throwable+.printStackTrace());

	declare warning: sysOutErrUsage():
		"please use the logger specified in https://www.datenkollektiv.de/fluffi/wiki/CodingGuidlines#loggingwithslf4j";

}
