package de.datenkollektiv.spring.finder;

import java.io.Serializable;

public interface CrudDao<T, PK extends Serializable> extends FinderExecutor<T> {

	T create(T newEntity);
    T read(PK key);
    void update(T transientEntity);
    void delete(T persistentEntity);

}
