package de.datenkollektiv.spring.finder.impl;

import org.aspectj.lang.ProceedingJoinPoint;

import de.datenkollektiv.spring.finder.FinderExecutor;

public class FinderAspect {

	@SuppressWarnings("unchecked")
	public Object find(ProceedingJoinPoint pjp) {
//		return FinderExecutor.class.cast(pjp.getThis()).executeFinder(pjp.getSignature().getName(), pjp.getArgs());
		FinderExecutor fe = (FinderExecutor) pjp.getThis();
		return fe.executeFinder(pjp.getSignature().getName(), pjp.getArgs());
	}
}
